
Katello - Bug #5860

updating an activationkey name to more than 255 char neither updates the name nor raises any

validation error

05/21/2014 06:11 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1083875 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1083875

Description of problem:

I was trying to update the activation-key(ak) name, so I tried this scenario:

1. create a ak with name 'test'

2. update its name to greater than 255 characters

3. when you save, name will be updated

4. now navigate away from activation-key page and then come back. The name will still be 'test'

Version-Release number of selected component (if applicable):

snap6

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.18-1.el6sat.noarch

foreman-postgresql-1.5.0.18-1.el6sat.noarch

foreman-proxy-1.5.5-1.el6sat.noarch

foreman-release-1.5.0-0.develop.201404022307git144d6f9.el6.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-19.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.33-1.el6sat.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-5.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-14.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1. create a ak with name 'test'

2. update its name to greater than 255 characters

3. when you save, name will be updated

4. now navigate away from activation-key page and then come back. The name will still be 'test'

Actual results:

I can update name of activation which has more than 255 characters

Expected results:

UI should raise validation error.

Additional info:

Associated revisions

Revision 039dc178 - 06/03/2014 02:27 AM - Thomas McKay

Fixes #5860 - correctly error on validation failure

fixes #5860 - added test

fixes #5860 - really added test

Revision 5dec3262 - 06/04/2014 11:11 AM - Thomas McKay

Merge pull request #4133 from thomasmckay/5860-actkey-validate

Fixes #5860 - correctly error on validation failure

History

#1 - 06/04/2014 11:52 AM - Thomas McKay

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:039dc17819fb59bf1dec6fc8cc2722598a6d5002.

#2 - 06/06/2014 12:43 PM - Eric Helms

- Target version set to 45

- Triaged set to Yes

#3 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
